# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Mon Mar  8 20:12:10 2021
# ------------------------------------------------

package:
  name: libssh2
  version: 1.9.0
source:
  patches:
    - 0001-libssh2-1.9.0-CVE-2019-17498.patch
    - 246c7cb0184b9e1a882c753b412825799c7a9118.patch
  sha256: d5fb8bd563305fd1074dda90bd053fb2d29fc4bce048d182f96eaa466dfadafd
  url: https://www.libssh2.org/download/libssh2-1.9.0.tar.gz
build:
  number: '6'
  run_exports:
    - libssh2 >=1.9.0,<2.0a0
  string: ha56f1ee_6
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 1_gnu
    - binutils_impl_linux-64 2.35.1 h193b22a_2
    - binutils_linux-64 2.35 h67ddf6f_30
    - cmake-no-system 3.16.5 h9c3ff4c_0
    - gcc_impl_linux-64 9.3.0 h70c0ae5_18
    - gcc_linux-64 9.3.0 hf25ea35_30
    - kernel-headers_linux-64 2.6.32 h77966d4_13
    - ld_impl_linux-64 2.35.1 hea4e1c9_2
    - libgcc-devel_linux-64 9.3.0 h7864c58_18
    - libgcc-ng 9.3.0 h2828fa1_18
    - libgomp 9.3.0 h2828fa1_18
    - libstdcxx-ng 9.3.0 h6de172a_18
    - make 4.3 hd18ef5c_1
    - sysroot_linux-64 2.12 h77966d4_13
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 1_gnu
    - ca-certificates 2020.12.5 ha878542_0
    - libgcc-ng 9.3.0 h2828fa1_18
    - libgomp 9.3.0 h2828fa1_18
    - openssl 1.1.1j h7f98852_0
    - zlib 1.2.11 h516909a_1010
  run:
    - libgcc-ng >=9.3.0
    - openssl >=1.1.1j,<1.1.2a
    - openssl >=1.1.1j,<1.1.2a
    - zlib >=1.2.11,<1.3.0a0
    - zlib >=1.2.11,<1.3.0a0
about:
  description: 'libssh2 is a library implementing the SSH2 protocol, available under
    the revised BSD license.

    '
  dev_url: https://github.com/libssh2/libssh2
  home: https://www.libssh2.org/
  license: BSD-3-Clause
  license_family: BSD
  license_file: COPYING
  summary: the SSH library
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - nehaljwani
    - ocefpaf
    - shadowwalkersb
